RC5.AlgParamGen (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce.provider.symmetric

## Class RC5.AlgParamGen

- java.lang.Object
- - java.security.AlgorithmParameterGeneratorSpi
  - - org.bouncycastle.jcajce.provider.symmetric.util.BaseAlgorithmParameterGenerator
    - - org.bouncycastle.jcajce.provider.symmetric.RC5.AlgParamGen

- Enclosing class:
    RC5

      public static class RC5.AlgParamGen
      extends BaseAlgorithmParameterGenerator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseAlgorithmParameterGenerator

      `random, strength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RC5.AlgParamGen()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.security.AlgorithmParameters` | `engineGenerateParameters()`
    `protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseAlgorithmParameterGenerator

      `createParametersInstance, engineInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RC5.AlgParamGen

          public RC5.AlgParamGen()

  - ### Method Detail

    - #### engineInit

          protected void engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec,
                        java.security.SecureRandom random)
                             throws java.security.InvalidAlgorithmParameterException

      Specified by:
        `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`
      Throws:
        `java.security.InvalidAlgorithmParameterException`

    - #### engineGenerateParameters

          protected java.security.AlgorithmParameters engineGenerateParameters()

      Specified by:
        `engineGenerateParameters` in class `java.security.AlgorithmParameterGeneratorSpi`